#include <bits/stdc++.h>
using namespace std;

template<typename T>
inline void read(T &x) {
    x = 0; char ch = getchar();
    bool f = 0;
    while (!isdigit(ch)) ch = getchar(), f |= ch == '-';
    while (isdigit(ch)) x = x * 10 + ch - 48, ch = getchar();
    if (x) x = -x;
}

int main() {
    
    return 0;
}